ValidWhenParser (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.validator.validwhen
Class ValidWhenParser

    java.lang.Object
      antlr.Parser
          antlr.LLkParser
              org.apache.struts.validator.validwhen.ValidWhenParser

All Implemented Interfaces:
  ValidWhenParserTokenTypes

    public class ValidWhenParser

extends antlr.LLkParser
implements ValidWhenParserTokenTypes

Field Summary
`static String[]` | `_tokenNames`
`static antlr.collections.impl.BitSet` | `_tokenSet_0`
`static antlr.collections.impl.BitSet` | `_tokenSet_1`

Fields inherited from class antlr.Parser
`astFactory, inputState, returnAST, tokenNames, tokenTypeToASTClassMap, traceDepth`

Fields inherited from interface org.apache.struts.validator.validwhen.ValidWhenParserTokenTypes
`ANDSIGN, DECIMAL_LITERAL, EOF, EQUALSIGN, GREATEREQUALSIGN, GREATERTHANSIGN, HEX_LITERAL, IDENTIFIER, LBRACKET, LESSEQUALSIGN, LESSTHANSIGN, LITERAL_null, LPAREN, NOTEQUALSIGN, NULL_TREE_LOOKAHEAD, OCTAL_LITERAL, ORSIGN, RBRACKET, RPAREN, STRING_LITERAL, THIS, WS`

Constructor Summary
`` | `ValidWhenParser(antlr.ParserSharedInputState state)`
`` | `ValidWhenParser(antlr.TokenBuffer tokenBuf)`
`protected` | `ValidWhenParser(antlr.TokenBuffer tokenBuf, int k)`
`` | `ValidWhenParser(antlr.TokenStream lexer)`
`protected` | `ValidWhenParser(antlr.TokenStream lexer, int k)`

Method Summary
`void` | `comparison()`
`void` | `comparisonExpression()`
`void` | `expr()`
`void` | `expression()`
`void` | `field()`
`boolean` | `getResult()`
`void` | `identifier()`
`void` | `integer()`
`void` | `join()`
`void` | `joinedExpression()`
`void` | `literal()`
`void` | `setForm(Object f)`
`void` | `setIndex(int i)`
`void` | `setValue(String v)`
`void` | `string()`
`void` | `value()`

Methods inherited from class antlr.LLkParser
`consume, LA, LT, traceIn, traceOut`

Methods inherited from class antlr.Parser
`addMessageListener, addParserListener, addParserMatchListener, addParserTokenListener, addSemanticPredicateListener, addSyntacticPredicateListener, addTraceListener, consumeUntil, consumeUntil, defaultDebuggingSetup, getAST, getASTFactory, getFilename, getInputState, getTokenName, getTokenNames, getTokenTypeToASTClassMap, isDebugMode, mark, match, match, matchNot, panic, removeMessageListener, removeParserListener, removeParserMatchListener, removeParserTokenListener, removeSemanticPredicateListener, removeSyntacticPredicateListener, removeTraceListener, reportError, reportError, reportWarning, rewind, setASTFactory, setASTNodeClass, setASTNodeType, setDebugMode, setFilename, setIgnoreInvalidDebugCalls, setInputState, setTokenBuffer, traceIndent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _tokenNames

    public static final String[] _tokenNames

### _tokenSet_0

    public static final antlr.collections.impl.BitSet _tokenSet_0

### _tokenSet_1

    public static final antlr.collections.impl.BitSet _tokenSet_1

Constructor Detail

### ValidWhenParser

    protected ValidWhenParser(antlr.TokenBuffer tokenBuf,
                              int k)

### ValidWhenParser

    public ValidWhenParser(antlr.TokenBuffer tokenBuf)

### ValidWhenParser

    protected ValidWhenParser(antlr.TokenStream lexer,
                              int k)

### ValidWhenParser

    public ValidWhenParser(antlr.TokenStream lexer)

### ValidWhenParser

    public ValidWhenParser(antlr.ParserSharedInputState state)

Method Detail

### setForm

    public void setForm(Object f)

### setIndex

    public void setIndex(int i)

### setValue

    public void setValue(String v)

### getResult

    public boolean getResult()

### integer

    public final void integer()
                       throws antlr.RecognitionException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### string

    public final void string()
                      throws antlr.RecognitionException,
                             antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### identifier

    public final void identifier()
                          throws antlr.RecognitionException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### field

    public final void field()
                     throws antlr.RecognitionException,
                            antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### literal

    public final void literal()
                       throws antlr.RecognitionException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### value

    public final void value()
                     throws antlr.RecognitionException,
                            antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### expression

    public final void expression()
                          throws antlr.RecognitionException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### expr

    public final void expr()
                    throws antlr.RecognitionException,
                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### comparisonExpression

    public final void comparisonExpression()
                                    throws antlr.RecognitionException,
                                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### joinedExpression

    public final void joinedExpression()
                                throws antlr.RecognitionException,
                                       antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### join

    public final void join()
                    throws antlr.RecognitionException,
                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### comparison

    public final void comparison()
                          throws antlr.RecognitionException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.